module CovaLog

	def _log_line(msg)
		print msg + "  ...  "
	end

	def _log_line_ok
		print "[ "
		print "OK".green
		print " ]"
		puts
	end

	def _log_line_error
		print "["
		print "FAIL".red
		print "]"
		puts
	end
		
	def _log_info(msg)
		puts
		puts msg
		puts
	end

	def _log_block_start(msg)
		puts
		print "=" * 3
		print " " + msg + " "
		puts "=" * 3
		puts
	end

	def _log_block_success
		puts
		print "=" * 9
		print " SUCCESS ".green
		puts "=" * 9
		puts
	end

	def _log_block_error
		puts
		print "=" * 8
		print " FAILED ".red
		puts "=" * 8
		puts
	end
end